Bug 112878 - Munhwa CID-keyed fonts are not included
Munhwa CID-keyed fonts are not included
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: i18n (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jens Petersen
Bill Huang
: FutureFeature, i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-05 04:09 EST by Jungshik Shin
Modified: 2008-11-04 03:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-04 03:00:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jungshik Shin 2004-01-05 04:09:00 EST
I'm filing this under ttfonts-ko because there's no other component
suitable although fonts in question are not truetype fonts but
CID-keyed fonts.

Description of problem:

In the mid 1990's, South Korean ministry of culture (now ministry of
culture and tourism) released a set of postscript fonts (freely
distributable). Later Ken Lunde of Adobe turned them to CID-keyed
fonts and put them up at 


 ftp://ftp.ora.com/pub/examples/cjkvinfo/adobe/samples

With freetype2, fontconfig and Xft, it's very easy to use them in Gtk2
and Qt application programs. (in the past, you have to go through X11
font configuration). 

Ghostscript can be configured to make use of them as well.
Comment 1 Matthew Miller 2006-07-11 13:43:01 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 2 David Joo 2006-07-11 22:20:54 EDT
This is rather a feature request from Korean users.
I have updated the product as it is still not included in our products.

Please review the request.

Regards,
David Joo
Comment 3 David Joo 2006-07-11 22:22:14 EDT
also assigning it to right person...
Comment 4 Matthew Miller 2006-07-11 22:26:36 EDT
Thanks. I'm going to move this to devel and mark it as a FutureFeature request.
(It's unlikely that these fonts will be added as an update to an existing
release -- that doesn't usually happen.)
Comment 5 Jungshik Shin 2006-07-11 22:29:10 EDT
This is not that important.  What's a lot more important is bug 112877. 
Comment 7 Jungshik Shin 2007-03-12 03:44:26 EDT
Munhwa fonts are not GPL'd. So that the comment copied from bug 112877 is not
relevant.   Korean government put them in the public domain for anyone to use
them in whatever way they like. 

 Anyway, if Redhat does not think what's acceptable to Adobe is acceptable, just
resolve this as 'wont fix'.  I don't have time to dig up old mail exchanges
between me, CHOI JunHo, Ken Lunde and a Korean government official. 

Comment 11 Jens Petersen 2007-08-16 23:45:47 EDT
I tried to find some license information at the ftp site
but could not find any.  Is it best to ask Ken Lunde et al about that?
Without adequate license information I am afraid the fonts cannot be
included in Fedora.

(We are actually just starting a process now to try to separate our
generic CJK fonts packages (fonts-*) into separate packages named after
the upstream  projects.)

If the fonts can be redistributed and modified under a free license,
I encourage you or someone kindly to submit the fonts as a package to
Fedora following the process explained at:
http://fedoraproject.org/wiki/PackageMaintainers/Join
Comment 12 Tony Fu 2008-09-09 23:13:25 EDT
requested by Jens Petersen (#27995)
Comment 13 Jens Petersen 2008-10-14 01:25:22 EDT
un-core-fonts is now in Fedora and un-extra-fonts is also under review.

Do we still need this?
Comment 14 Jens Petersen 2008-10-14 01:37:01 EDT
alee-fonts is also under review.

Note You need to log in before you can comment on or make changes to this bug.